JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CameraDevice::Listener Class Referenceabstract
juce_video » capture

Receives callbacks with individual frames from a CameraDevice. More...

`#include <juce_CameraDevice.h>`

## Public Member Functions
| Listener ()
virtual | ~Listener ()
virtual void | imageReceived (const Image &image)=0
| This method is called when a new image arrives.

## Detailed Description

Receives callbacks with individual frames from a CameraDevice.

It is mainly useful for processing multiple frames that has to be done as quickly as possible. The callbacks can be called from any thread.

If you just need to take one picture, you should use takeStillPicture() instead.

See also
  CameraDevice::addListener

## Constructor & Destructor Documentation

## ◆ Listener()

CameraDevice::Listener::Listener | ( |  | ) |

## ◆ ~Listener()

virtual CameraDevice::Listener::~Listener | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ imageReceived()

virtual void CameraDevice::Listener::imageReceived | ( | const Image & | image | ) |
| pure virtual

This method is called when a new image arrives.

This may be called by any thread, so be careful about thread-safety, and make sure that you process the data as quickly as possible to avoid glitching!

Simply add a listener to be continuously notified about new frames becoming available and remove the listener when you no longer need new frames.

If you just need to take one picture, use takeStillPicture() instead.

See also
  CameraDevice::takeStillPicture

The documentation for this class was generated from the following file:

- juce_CameraDevice.h